classification
Title: Avoid to use coroutine with add_signal_handler()
Type: Stage:
Components: asyncio Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Ludovic.Gasc, gvanrossum, python-dev, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2014-11-10 23:35 by Ludovic.Gasc, last changed 2014-11-25 14:36 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
add_signal_handler_no_coroutines.patch Ludovic.Gasc, 2014-11-10 23:35
Messages (4)
msg230984 - (view) Author: Ludovic Gasc (Ludovic.Gasc) * Date: 2014-11-10 23:35
Hi,

Victor Stinner suggested me during PyCON-FR to send you this:
It's a pico-patch to forbid a coroutine as parameter of add_signal_handler().

I've added a test for that, the patch is based on the latest commit in Tulip.

Thanks for your feedback.

Regards.
msg231177 - (view) Author: Roundup Robot (python-dev) Date: 2014-11-14 19:47
New changeset d244e1770f1b by Guido van Rossum in branch '3.4':
- Issue #22841: Reject coroutines in asyncio add_signal_handler().
https://hg.python.org/cpython/rev/d244e1770f1b
msg231178 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-11-14 19:50
Applied to upstream tulip, 3.4, and 3.5. Thanks Ludovic!
msg231179 - (view) Author: Roundup Robot (python-dev) Date: 2014-11-14 19:52
New changeset 44e77709daa4 by Guido van Rossum in branch 'default':
- Issue #22841: Reject coroutines in asyncio add_signal_handler().
https://hg.python.org/cpython/rev/44e77709daa4
History
Date User Action Args
2014-11-25 14:36:13vstinnersetstatus: open -> closed
resolution: fixed
2014-11-14 19:52:39python-devsetmessages: + msg231179
2014-11-14 19:50:28gvanrossumsetmessages: + msg231178
2014-11-14 19:47:18python-devsetnosy: + python-dev
messages: + msg231177
2014-11-10 23:35:47Ludovic.Gasccreate